Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041081
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementminoralways2019-06-12 16:532019-08-22 14:45
ReportervmromanosView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritylowResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionca19147d28e2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041081: Delete old Payment Monitor (pre-APRM)

DescriptionDelete the Payment Monitor for old payment flow (pre-APRM) and anything around it (Application Dictionary, Java, etc.)

src/org/openbravo/erpCommon/ad_process/PaymentMonitor.java
Steps To ReproduceNA
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0041320 closedAtulOpenbravo API Change: Remove Old Payment Monitor used in Openbravo 2.50 
blocks design defect 0032688 acknowledgedplatform remove unused resources 
causes defect 0041445 newTriage Finance Delete "Implements Payment Monitor management" Property Configuration List reference 

-  Notes
(0113635)
hgbot (developer)
2019-07-24 21:41

Repository: erp/devel/pi
Changeset: ca19147d28e2a5865e1b965ddc6f0053e5f4bce1
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jul 16 22:51:25 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/ca19147d28e2a5865e1b965ddc6f0053e5f4bce1 [^]

Fixes Issue 41081: Delete old Payment Monitor (pre-APRM)

**Remove AD_PROCESS for PaymentMonitor & InvoicePaymentMonitor
**Remove AD_MODEL_OBJECT, AD_MODEL_OBJECT_MAPPING for InvoicePaymentMonitor
**Remove java class for PaymentMonitor, PaymentMonitorProcess,
InvoicePaymentMonitor, InvoicePaymentMonitor.html, InvoicePaymentMonitor.xml
**Remove UPDATEPAYMENTMONITOR column from table C_INVOICE, AD_FIELD used in
Purchase and Sales Invoice Header Tab, its AD_COLUMN & AD_ELEMENT register
**Remove process access from sample data for F&B International Group & QA
Testing client
**Remove values for UPDATEPAYMENTMONITOR column in C_Invoice from sample
data

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICE.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/C_INVOICE.xml
M src-db/database/model/tables/C_INVOICE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
R src/org/openbravo/erpCommon/ad_actionButton/InvoicePaymentMonitor.html
R src/org/openbravo/erpCommon/ad_actionButton/InvoicePaymentMonitor.java
R src/org/openbravo/erpCommon/ad_actionButton/InvoicePaymentMonitor.xml
R src/org/openbravo/erpCommon/ad_process/PaymentMonitor.java
R src/org/openbravo/erpCommon/ad_process/PaymentMonitorProcess.java
---
(0113636)
hgbot (developer)
2019-07-24 21:42

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: aff71460b8ab7cda4cce80062e1bad9a1114cdca
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Jul 18 02:08:34 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/aff71460b8ab7cda4cce80062e1bad9a1114cdca [^]

Related To Issue 0041081: Delete old Payment Monitor (pre-APRM)

**Remove process access for Payment Monitor Process

---
M referencedata/sampledata/Retail_Test/AD_PROCESS_ACCESS.xml
---
(0113637)
hgbot (developer)
2019-07-24 21:43

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: c6443cd37380be794d755169946b70029f6dcf2c
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Jul 18 02:15:18 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/c6443cd37380be794d755169946b70029f6dcf2c [^]

Related To Issue 0041081: Delete old Payment Monitor (pre-APRM)

**Remove Process Access for UPDATEPAYMENTMONITOR process
**Remove values for column UPDATEPAYMENTMONITOR from C_INVOICE

---
M referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/The_White_Valley_Group/C_INVOICE.xml
---
(0113638)
hgbot (developer)
2019-07-24 21:44

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata
Changeset: 4fd44ff821dcf7884ae429094d58634bddcaac6b
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Jul 18 02:22:57 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/rev/4fd44ff821dcf7884ae429094d58634bddcaac6b [^]

Related To Issue 0041081: Delete old Payment Monitor (pre-APRM)

**Remove Process Access for Update Payment Monitor process
**Remove values for UPDATEPAYMENTMONITOR column from C_INVOICE

---
M referencedata/sampledata/AWO_QA/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/AWO_QA/C_INVOICE.xml
---
(0113639)
hgbot (developer)
2019-07-24 21:44

Repository: erp/pmods/org.openbravo.contract.services
Changeset: 85d564e10e3d87e6598c1695a10277f5a03d2cd4
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jul 22 23:50:23 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.contract.services/rev/85d564e10e3d87e6598c1695a10277f5a03d2cd4 [^]

Related To Issue 41081: Delete obsolete Update Payment Monitor process
used in Openbravo 2.50

**Remove field that makes use of UPDATEPAYMENTMONITOR column that is
deletion candidate to adapt the api change

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0113640)
hgbot (developer)
2019-07-24 21:44

Repository: erp/pmods/org.openbravo.contract.services
Changeset: 8ab0416b0c4856cd13fe65eaadf7df7b5228b783
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jul 22 23:51:09 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.contract.services/rev/8ab0416b0c4856cd13fe65eaadf7df7b5228b783 [^]

Related To Issue 41081: Delete obsolete Update Payment Monitor process
used in Openbravo 2.50

**Remove field that makes use of UPDATEPAYMENTMONITOR column that is
deletion candidate to adapt the api change

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0113641)
hgbot (developer)
2019-07-24 21:44

Repository: erp/pmods/org.openbravo.contract.services
Changeset: 6d438a787bd0fdfbde3bcacd3580493b97ce83b9
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jul 22 23:51:44 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.contract.services/rev/6d438a787bd0fdfbde3bcacd3580493b97ce83b9 [^]

Related To Issue 41081: Delete obsolete Update Payment Monitor process
used in Openbravo 2.50

**Remove field that makes use of UPDATEPAYMENTMONITOR column that is
deletion candidate to adapt the api change

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0113672)
vmromanos (developer)
2019-07-26 09:42

Code review OK
(0114176)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-06-12 16:53 vmromanos New Issue
2019-06-12 16:53 vmromanos Assigned To => Triage Finance
2019-06-12 16:53 vmromanos Modules => Core
2019-06-12 16:53 vmromanos Triggers an Emergency Pack => No
2019-06-14 15:27 shuehner Relationship added blocks 0032688
2019-07-03 20:36 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2019-07-03 20:36 AtulOpenbravo Status new => scheduled
2019-07-09 09:37 AtulOpenbravo Relationship added depends on 0041320
2019-07-24 14:10 vmromanos Relationship added causes 0041445
2019-07-24 21:41 hgbot Checkin
2019-07-24 21:41 hgbot Note Added: 0113635
2019-07-24 21:41 hgbot Status scheduled => resolved
2019-07-24 21:41 hgbot Resolution open => fixed
2019-07-24 21:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ca19147d28e2a5865e1b965ddc6f0053e5f4bce1 [^]
2019-07-24 21:42 hgbot Checkin
2019-07-24 21:42 hgbot Note Added: 0113636
2019-07-24 21:43 hgbot Checkin
2019-07-24 21:43 hgbot Note Added: 0113637
2019-07-24 21:44 hgbot Checkin
2019-07-24 21:44 hgbot Note Added: 0113638
2019-07-24 21:44 hgbot Checkin
2019-07-24 21:44 hgbot Note Added: 0113639
2019-07-24 21:44 hgbot Checkin
2019-07-24 21:44 hgbot Note Added: 0113640
2019-07-24 21:44 hgbot Checkin
2019-07-24 21:44 hgbot Note Added: 0113641
2019-07-26 09:42 vmromanos Review Assigned To => vmromanos
2019-07-26 09:42 vmromanos Note Added: 0113672
2019-07-26 09:42 vmromanos Status resolved => closed
2019-07-26 09:42 vmromanos Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114176


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker